regedit(8)

NAME
regedit - registry editor

SYNOPSIS
[-m maxprotocol] [-I destIP] [-E] [-U username] [-W workgroup] [-c `command string`] [-t terminalcode] [-i scope] [-O socketoptions] [-s smb.conf]" .YODLTAGEND.

DESCRIPTION
Regedit a utility for modifying the System Registry on a Windows NT machine and comes as part of Samba - The Next Generation (TNG), which at the time of writing, is still in very early alpha stages.

OPTIONS

-d debuglevel
    set the debuglevel. Debug level 0 is the lowest and 100 being the highest. This should be set to 100 if you are planning on submitting a bug report to the Samba team (see BUGS.txt).

-S server
    NetBIOS name of Server to connect to (\\. or . for localhost). The server can be any SMB/CIFS server. The name is resolved using either the "name resolve order = " line or by using the -R option.

-l logbasename
    File name for log/debug files. .client will be appended. The log file is never removed by the client.

-n netbios name
    NetBIOS name of the local machine. This option is only needed if your Samba client cannot find it automatically. Samba should use the uppercase of the machine's hostname.

-N  tells regedit not to ask for a password. regedit will prompt the user by default.

-m max protocol
    is ignored in Samba TNG. It is included only for backwards compatibility.

-I destIP
    The IP address of the server specified with the -S option. Only needed when the server's NetBIOS name cannot be resolved using WINS or broadcast and isn't found in the LMHOSTS file.

-E  causes regedit to write messages to stderr instead of stdout.

-U username[%pass]
    Sets the SMB username or username and password. If %pass is not specified, The user will be prompted. The client will first check the USER environment variable, then the LOGNAME variable and if either exist, the string is uppercased. Anything in these variables following a % sign will be treated as the password. If these environmental variables are not found, the username GUEST is used.

-W domain
    Set the SMB domain. Note that this is very different from the DNS domain name. For information on NT domains, consult Lars Kneschke's Samba TNG FAQ at if(http://www.kneschke.de/projekte/samba_tng/). This overrides the default domain which is the domain of the server specified with the bt(-S) option. If the domain specified is the same as the server's NetBIOS name, it causes the client to log on using the server's local SAM (as opposed to the Domain SAM).

-c 'command string'
    execute semicolon separated commands (listed below))

-t terminalcode
    This tells the Samba client how to interpret the incoming filenames, in regards to character sets. The list here is not complete. For a complete list see your local Samba source. Some valid options are sjis, euc, jis7, jis8, junet and hex.

-O socket options
    These socket options are the same as in smb.conf (under the bt(socket options = ) section).

-s smb.conf
    Specifies the location of the all important smb.conf file.

-i scope
    Defines the NetBIOS scope. For more information on NetBIOS scopes, see rfc1001 and rfc1002. NetBIOS scopes are rarely used.

COMMANDS

regenum

regdeletekey

regcreatekey

shutdown

regqueryval

regquerykey

regdeleteval

regcreateval

reggetsec

regtestsec

set

use

help

quit

regenum <keyname>
    Registry key enumeration

regdeletekey <keyname>
    Deletes the specified registry key.

regcreatekey <keyname> [keyclass]
    Creates the specified registry key

shutdown [-m message] [-t timeout] [-r] [-f]
    Forces a remote shutdown or reboot (if the -r option is set) of an NT machine. The -m option allows you to specify a message to be sent to the user before Impending Doom and a length of time to wait can be specified with the -t option.

regqueryval <valname>
    Registry Value Query

regquerykey <keyname>
    Registry Key Query

regdeleteval <valname>
    Delete registry key specified by valname

regcreateval <val_name> <val_type> <val>
    Create a registry value. val_name is the name of the value and val is the actual value. val_type can be either 1, 3 or 4. Where a val_type os 1 is UNICODE string, 3 is a sequence of BINARY BYTES and 4 is a DOUBLEWORD (4 bytes).

reggetsec
    Get registry key security

regtestsec <keyname>
    Test registry key security

set [OPTIONS...]
    Runs regedit within regedit (thus allowing command line options to be changed). Set's options are identical to the command line options listed above.

use [\\Server] [-U user%pass] [-W domain] [-d] [-f]
    or

use -u
    Equivalent of the net view and net use commands. Can be used to browse browse lists and connect to remote services. The net -u command shows all current connections. The -W option sets the NT domain. To delete a connection, use the -d option and -f forcibly deletes a connection.

help, ?
    Shows all commands or help on a specific command.

quit, exit, bye
    Exits the utility

Samba TNG is still in alpha stage and considered not suitable for production use.

From Luke Leighton's original rpcclient man page: "WARNING! The MSRPC over SMB code has been developed from examining Network traces. No documentation is available from the original creators (Microsoft) on how MSRPC over SMB works, or how the individual MSRPC services work. Microsoft's implementation of these services has been demonstrated (and reported) to be... a bit flakey in places.

The development of Samba's implementation is also a bit rough, and as more of the services are understood, it can even result in versions of smbd(8) and rpcclient that are incompatible for some commands or services. Additionally, the developers are sending reports to Microsoft, and problems found or reported to Microsoft are fixed in Service Packs, which may result in incompatabilities."

SEE ALSO
samba (7), samedit (8)

AUTHOR
Samba is written by The Samba Team as open source. This man page was written by Matthew Geddes and has strongly "borrowed" from Luke Kenneth Casson Leighton's original rpcclient man page and wise words and the Samba source.